#!/bin/bash
#
###########################################################################################
#                             Table "public.netbox_cert_plugin_certificate"
#      Column       |           Type           | Collation | Nullable |             Default
#-------------------+--------------------------+-----------+----------+----------------------------------
# id                | bigint                   |           | not null | generated by default as identity
# created           | timestamp with time zone |           |          |
# last_updated      | timestamp with time zone |           |          |
# custom_field_data | jsonb                    |           | not null |
# cn                | character varying(256)   |           | not null |
# ca                | character varying(32)    |           | not null |
# expiration_time   | character varying(2)     |           | not null |
# cert_created_at   | date                     |           |          |
# cert_expired_at   | date                     |           |          |
# alt_name          | character varying(256)[] |           |          |
# state             | character varying(32)    |           | not null |
# content           | text                     |           |          |
# vault_url         | character varying(256)   |           |          |
###########################################################################################

WORKDIR="${0%/*}/"
# include lib
source ${WORKDIR}xxl_functions.sh
source ${WORKDIR}xxl.conf

# delimititer, use D=',' to convert into CSV format, or '\t' to use a tab
D='\t'

# Output
for (( i=1000; i<(1000+ROWS_TO_CREATE); i++ )); do
	echo -e "$(timestamp_date ${i})"			|tr '\n' "${D}"	# `created`
	echo -e "$(timestamp_date $(( 1000000 + i )) )"		|tr '\n' "${D}"	# `last_updated`
	echo -e "{}"						|tr '\n' "${D}"	# `custom_field_data`
	echo -e "cn${i}"					|tr '\n' "${D}"	# `cn`
	echo -e "ca${i}"					|tr '\n' "${D}"	# `ca`
	echo -e "h"						|tr '\n' "${D}"	# `expiration_time`
	echo -e "$(timestamp_date $(( 1000000 + i )) )"		|tr '\n' "${D}"	# `cert_created_at`
	echo -e "$(timestamp_date $(( 10000000000 + i )) )"	|tr '\n' "${D}"	# `cert_expired_at`
	echo -e "{}"						|tr '\n' "${D}"	# `alt_name`
	echo -e "state$(func_str ${i})"				|tr '\n' "${D}"	# `state`
	echo -e "content$(func_str ${i})"			|tr '\n' "${D}"	# `content`
	echo -e "$(func_url ${i})"						# `vault_url`
done

exit 0
